Tumbleweed 中的 Bash、systemd、libvirt 更新

27. Jan 2022 | Hanjingxue Boling | CC-BY-SA-3.0

Tumbleweed 中的 Bash、systemd、libvirt 更新

本周每天都有 openSUSE Tumbleweed 快照。

Tumbleweed 中其他一些值得注意的消息是 Wicked 正在逐步淘汰。新安装的 Tumbleweed 都默认使用 NetworkManager。这不仅适用于桌面系统,也适用于服务器安装。但是,升级程序尚未计划完全弃用 Wicked。

最新的 Tumbleweed 快照是 20220126Samba 本周更新了两次;此快照引入了 4.15.4 版本,该版本提供了一些清理和配置更改。Linux Kernel 5.16.2 很快从暂存状态发布至快照。更新的内核为较新的联想笔记本电脑提供了多个 ALSA 修复程序,并为 s390x86 架构提供了 KVM 修复程序。文本编辑器 vim 在其 8.2.4186 版本中对实验性 vim9 分支进行了一些修复以及一些额外的更改。xlockmore 是一个屏幕保护程序和 X Window 系统软件包,在其 5.68 版本中更新了一个 xscreensaver 端口并修复了一些模块。mozilla-nss 的 3.74 版本替换了四个 Google Trust Services LLC 根证书,添加了一些 iTrusChina 根证书,并在在线证书状态协议响应的 CertID 中添加了对 SHA-2 哈希的支持。

快照 20220125 带来了一些令人兴奋的系统更新。bash 5.1.16 更新中添加了一些补丁;其中一个修复了损坏的输入。另一个修复了 posix 模式下赋值语句右侧未引用冒号后的波浪号扩展Fedora 的企业级软件包 389-ds 2.0.13 添加了一个用户界面功能,修复了一个编译器警告。用于访问音频、键盘、鼠标、操纵杆和图形硬件的跨平台开发库 SDL2 2.0.20 提高了使用 OpenGL 时水平和垂直线条绘制的准确性。棋盘游戏 Blokus 的计算机对手,pentobi 20.0 的大版本更新主要是针对 Qt 6.2 中有时会导致未下棋的棋子位置错误的 bug 进行了修复。快照中更新了相当多的 openSUSE 软件包。yast2-security 4.4.8 的更新修复了一个声明性 AppArmor 选项;libstorage-ng 4.4.76 的更新增加了对 RAID 元数据版本 1.1 和 1.2 的支持; yast2-bootloader 4.4.14、yast2-installation 4.4.35、yast2-storage-ng 4.4.33、autoyast2 4.4.27 和 yast2 4.4.39 只是更新的众多 YaST 软件包中的一小部分。

快照 20220124 更新了两个包。文本网络浏览器 lynx 2.9.0.10 更新了一些翻译,并为使用 asan2 和模糊器生成的数据发现的问题提供了一些修复。z3 4.8.14 更新修复了一些约束,并为定理证明器提供了一些额外的用户功能。

快照 20220123 引入了 virtualbox 6.1.32,它修复了 CVE-2022-21394,该漏洞允许未经授权访问关键数据;该软件包更改了在使用 Hyper-V 时,虚拟机 RAM 管理,以便与虚拟机监控程序保护的代码完整性更加兼容。virtualbox 还修复了对一些未正确处理的 USB 设备和设备类的访问。Mozilla Firefox 96.0.2 修复了导致在 Linux 上播放音频时选项卡高度显示不一致的问题。Bind 9.16.25 进行了一些更改,以防止在当前读取回调完成之前执行回调。高度可移植的 DNS 协议实现在更新中修复了另外七个错误。Samba 4.15.3 修复了 CVE-2020-25717,该漏洞使用 Windows 活动目录,可能允许以不希望的方式将域用户映射到本地用户。Samba 还在构建要求中添加了 python-rpm-macros。快照中要更新的另一个包是 webkit2gtk3 2.34.4,它修复了几个崩溃和渲染问题;该软件包版本还修复了许多安全问题,包括允许网站读取其他网站创建的 IndexedDB 数据库名称的严重问题。快照中要更新的其他软件包包括 codec2 1.0.3、iso-codes 4.9.0、kdump 1.0 等。

快照 20220122 中的 autoyast2 4.4.26 更新更改了附加签名设置的处理。快照中包含三个主要版本更新;分别是 systemd-rpm-macros 15 和用户空间工具包 nvme-cli 2.0,它修复了一些依赖项和版本字符串。python-ipython 8.0.1 的大版本更新修复了 CVE-2022-21699 并从 Python 3.10 向后移植了一些修复。

快照 20220121 发布了 systemd 249.9。systemd 此次更新移动了 udev 包中的网络配置 systemd-network-generator;该生成器可以生成 .link 文件,主要用于必须使用 udev 的 initrd。systemd 的更新还删除了一些补丁并修复了未公开的 CVE-2021-3997。快照中更新了 libvirt 的 8.0 主要版本。新特性之一是用于磁盘复制操作的 qemu 同步写入模式。快照中要更新的其他软件包包括 ncurses 6.3.20220115、flatpak 1.12.4、autofs 5.1.8 和 gnutls 3.7.3 等。

于上周四发布的快照 20220120,将 Linux Kernel 更新到了 5.16.1 版本。该更新提供了多项蓝牙修复,其中包括针对 MacBook Air 8,1 和 8,2 的修复。根据更新日志,用户空间设置工具 cryptsetup 2.4.3 的更新修复了 CVE-2021-4122,该漏洞允许通过 LUKS2 在线重新加密扩展崩溃恢复对数据机密性进行可能的攻击。sqlite 3.37.2 修复了版本 3.35.0 中引入的错误,该错误可能导致数据库损坏并修复了涉及重置选项的长期问题。yast2-bootloader 4.4.13 的更新增加了对密码保护的支持并增加了对 PowerPC 安全启动的支持。

本周发布的支持 arm 架构的 Tumbleweed 快照是 arm 20220125arm 20220123


原文:Bash, systemd, libvirt Update in Tumbleweed,作者:Douglas DeMaio

分享帖子: